Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -4948,45 +4750,45 @@
             case IXR_CMD_READ_IDLE:
                 if     (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
-                else if(r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
-                else if(r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
-                else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
-                else if(r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
-                else if(r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
+                else if (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
+                else if (r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
+                else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                else if (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
+                else if (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
                 break;
                 ////////////////////////
             case IXR_CMD_WRITE_IDLE:
                 if     (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
-                else if(r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
-                else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
-                else if(r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
-                else if(r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
-                else if(r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
+                else if (r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
+                else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                else if (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
+                else if (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
+                else if (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
                 break;
                 ////////////////////////
             case IXR_CMD_CAS_IDLE:
                 if     (r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
-                else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
-                else if(r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
-                else if(r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
-                else if(r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
-                else if(r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
+                else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                else if (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
+                else if (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
+                else if (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
+                else if (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
                 break;
                 ////////////////////////
             case IXR_CMD_XRAM_IDLE:
                 if     (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
-                else if(r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
-                else if(r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
-                else if(r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
-                else if(r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
-                else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                else if (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
+                else if (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
+                else if (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
+                else if (r_cleanup_to_ixr_cmd_req.read())    r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
+                else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
                 break;
                 ////////////////////////
             case IXR_CMD_CLEANUP_IDLE:
                 if     (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
-                else if(r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
-                else if(r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
-                else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
-                else if(r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
-                else if(r_cleanup_to_ixr_cmd_req)           r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
+                else if (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
+                else if (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
+                else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                else if (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
+                else if (r_cleanup_to_ixr_cmd_req)           r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
                 break;      
                 /////////////////////////
@@ -4994,9 +4796,9 @@
                 {
                     if     (r_read_to_ixr_cmd_req.read())       r_ixr_cmd_fsm = IXR_CMD_READ_TRT;
-                    else if(r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
-                    else if(r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
-                    else if(r_cleanup_to_ixr_cmd_req)           r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
-                    else if(r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
-                    else if(r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
+                    else if (r_write_to_ixr_cmd_req.read())      r_ixr_cmd_fsm = IXR_CMD_WRITE_TRT;
+                    else if (r_cas_to_ixr_cmd_req.read())        r_ixr_cmd_fsm = IXR_CMD_CAS_TRT;
+                    else if (r_cleanup_to_ixr_cmd_req)           r_ixr_cmd_fsm = IXR_CMD_CLEANUP_TRT;
+                    else if (r_xram_rsp_to_ixr_cmd_req.read())   r_ixr_cmd_fsm = IXR_CMD_XRAM_TRT;
+                    else if (r_config_to_ixr_cmd_req.read())     r_ixr_cmd_fsm = IXR_CMD_CONFIG_TRT;
                     break;
                 }
@@ -5005,5 +4807,5 @@
             case IXR_CMD_READ_TRT:       // access TRT for a GET
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
                         TransactionTabEntry entry = m_trt.read( r_read_to_ixr_cmd_index.read() );
@@ -5015,5 +4817,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_READ_TRT> TRT access"
                                 << " index = " << std::dec << r_read_to_ixr_cmd_index.read()
@@ -5026,5 +4828,5 @@
             case IXR_CMD_WRITE_TRT:       // access TRT for a PUT or a GET
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
                         TransactionTabEntry entry = m_trt.read( r_write_to_ixr_cmd_index.read() );
@@ -5042,5 +4844,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_WRITE_TRT> TRT access"
                                 << " index = " << std::dec << r_write_to_ixr_cmd_index.read()
@@ -5053,5 +4855,5 @@
             case IXR_CMD_CAS_TRT:       // access TRT for a PUT or a GET 
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
                         TransactionTabEntry entry = m_trt.read( r_cas_to_ixr_cmd_index.read() );
@@ -5069,5 +4871,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_CAS_TRT> TRT access"
                                 << " index = " << std::dec << r_cas_to_ixr_cmd_index.read()
@@ -5080,5 +4882,5 @@
             case IXR_CMD_XRAM_TRT:       // access TRT for a PUT 
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
                         TransactionTabEntry entry = m_trt.read( r_xram_rsp_to_ixr_cmd_index.read() );
@@ -5089,8 +4891,6 @@
                         r_ixr_cmd_fsm     = IXR_CMD_XRAM_SEND;
                         for( size_t i=0 ; i<m_words ; i++ ) r_ixr_cmd_wdata[i] = entry.wdata[i];
-
-                        m_cpt_ixr_cmd_fsm_n_trt_lock ++;
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_XRAM_TRT> TRT access"
                                 << " index = " << std::dec << r_xram_rsp_to_ixr_cmd_index.read()
@@ -5103,5 +4903,5 @@
             case IXR_CMD_CLEANUP_TRT:       // access TRT for a PUT 
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
 
@@ -5115,5 +4915,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_CLEANUP_TRT> TRT access"
                                 << " index = " << std::dec << r_cleanup_to_ixr_cmd_index.read()
@@ -5126,5 +4926,5 @@
             case IXR_CMD_CONFIG_TRT:       // access TRT for a PUT
                 {
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_CMD )
                     {
                         TransactionTabEntry entry = m_trt.read( r_config_to_ixr_cmd_index.read() );
@@ -5137,5 +4937,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_CONFIG_TRT> TRT access"
                                 << " index = " << std::dec << r_config_to_ixr_cmd_index.read()
@@ -5149,5 +4949,5 @@
             case IXR_CMD_READ_SEND:      // send a get from READ FSM
                 {
-                    if(p_vci_ixr.cmdack)
+                    if (p_vci_ixr.cmdack)
                     {
                         r_ixr_cmd_fsm         = IXR_CMD_READ_IDLE;
@@ -5155,5 +4955,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_READ_SEND> GET request:" << std::hex
                                 << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5165,9 +4965,9 @@
             case IXR_CMD_WRITE_SEND:     // send a put or get from WRITE FSM
                 {
-                    if(p_vci_ixr.cmdack)
+                    if (p_vci_ixr.cmdack)
                     {
                         if (not r_ixr_cmd_get.read())   // PUT
                         {
-                            if(r_ixr_cmd_word.read() == (m_words - 2))
+                            if (r_ixr_cmd_word.read() == (m_words - 2))
                             {
                                 r_ixr_cmd_fsm          = IXR_CMD_WRITE_IDLE;
@@ -5180,5 +4980,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " IXR_CMD_WRITE_SEND> PUT request:" << std::hex
                                     << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5191,5 +4991,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " IXR_CMD_WRITE_SEND> GET request:" << std::hex
                                     << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5202,9 +5002,9 @@
             case IXR_CMD_CAS_SEND:      // send a put or get command from CAS FSM
                 {
-                    if(p_vci_ixr.cmdack)
+                    if (p_vci_ixr.cmdack)
                     {
                         if (not r_ixr_cmd_get.read()) // PUT
                         {
-                            if(r_ixr_cmd_word.read() == (m_words - 2))
+                            if (r_ixr_cmd_word.read() == (m_words - 2))
                             {
                                 r_ixr_cmd_fsm        = IXR_CMD_CAS_IDLE;
@@ -5217,5 +5017,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " IXR_CMD_CAS_SEND> PUT request:" << std::hex
                                     << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5228,5 +5028,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " IXR_CMD_CAS_SEND> GET request:" << std::hex
                                     << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5239,7 +5039,7 @@
             case IXR_CMD_XRAM_SEND:     // send a put from XRAM_RSP FSM
                 {
-                    if(p_vci_ixr.cmdack.read())
-                    {
-                        if(r_ixr_cmd_word.read() == (m_words - 2))
+                    if (p_vci_ixr.cmdack.read())
+                    {
+                        if (r_ixr_cmd_word.read() == (m_words - 2))
                         {
                             r_ixr_cmd_fsm = IXR_CMD_XRAM_IDLE;
@@ -5251,5 +5051,5 @@
                         }
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_XRAM_SEND> PUT request:" << std::hex
                                 << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5262,7 +5062,7 @@
             case IXR_CMD_CLEANUP_DATA_SEND:     // send a put command to XRAM
                 {
-                    if(p_vci_ixr.cmdack.read())
-                    {
-                        if(r_ixr_cmd_word.read() == (m_words - 2))
+                    if (p_vci_ixr.cmdack.read())
+                    {
+                        if (r_ixr_cmd_word.read() == (m_words - 2))
                         {
                             r_ixr_cmd_fsm = IXR_CMD_CLEANUP_IDLE;
@@ -5277,5 +5077,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << ".IXR_CMD_CLEANUP_DATA_SEND> Send a put request to xram" << std::endl;
@@ -5289,7 +5089,7 @@
             case IXR_CMD_CONFIG_SEND:     // send a put from CONFIG FSM
                 {
-                    if(p_vci_ixr.cmdack.read())
-                    {
-                        if(r_ixr_cmd_word.read() == (m_words - 2))
+                    if (p_vci_ixr.cmdack.read())
+                    {
+                        if (r_ixr_cmd_word.read() == (m_words - 2))
                         {
                             r_ixr_cmd_fsm = IXR_CMD_CONFIG_IDLE;
@@ -5302,5 +5102,5 @@
 
 #if DEBUG_MEMC_IXR_CMD
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_CMD_CONFIG_SEND> PUT request:" << std::hex
                                 << " address = " << r_ixr_cmd_address.read() + (r_ixr_cmd_word.read()<<2) << std::endl;
@@ -5337,5 +5137,5 @@
             case IXR_RSP_IDLE:  // test transaction type: PUT/GET
                 {
-                    if(p_vci_ixr.rspval.read())
+                    if (p_vci_ixr.rspval.read())
                     {
                         r_ixr_rsp_cpt       = 0;
@@ -5345,5 +5145,5 @@
                                 "MEMC ERROR in IXR_RSP state: XRAM response error !");
 
-                        if(p_vci_ixr.reop.read())   // PUT
+                        if (p_vci_ixr.reop.read())   // PUT
                         {
                             r_ixr_rsp_fsm = IXR_RSP_TRT_ERASE;
@@ -5355,5 +5155,5 @@
 
 #if DEBUG_MEMC_IXR_RSP
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name()
                                     << " IXR_RSP_IDLE> Response from XRAM to a get transaction" << std::endl;
@@ -5374,5 +5174,5 @@
                 // decrease the line counter if config request
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_RSP)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_RSP)
                     {
                         size_t  index = r_ixr_rsp_trt_index.read(); 
@@ -5388,8 +5188,6 @@
                             r_ixr_rsp_fsm = IXR_RSP_IDLE;
                         }
-
-                        m_cpt_ixr_rsp_fsm_n_trt_lock ++;
 #if DEBUG_MEMC_IXR_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_RSP_TRT_ERASE> Erase TRT entry "
                                 << r_ixr_rsp_trt_index.read() << std::endl;
@@ -5401,5 +5199,5 @@
             case IXR_RSP_TRT_READ:    // write a 64 bits data in the TRT
                 {
-                    if((r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_RSP) and  p_vci_ixr.rspval)
+                    if ((r_alloc_trt_fsm.read() == ALLOC_TRT_IXR_RSP) and  p_vci_ixr.rspval)
                     {
                         size_t      index    = r_ixr_rsp_trt_index.read();
@@ -5418,5 +5216,5 @@
                         r_ixr_rsp_cpt = word + 2;
 
-                        if(eop)
+                        if (eop)
                         {
                             r_ixr_rsp_to_xram_rsp_rok[r_ixr_rsp_trt_index.read()]=true;
@@ -5425,5 +5223,5 @@
 
 #if DEBUG_MEMC_IXR_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " IXR_RSP_TRT_READ> Writing a word in TRT : "
                                 << " index = " << std::dec << index
@@ -5431,7 +5229,5 @@
                                 << " / data = " << std::hex << data << std::endl;
 #endif
-                        m_cpt_ixr_rsp_fsm_n_trt_lock ++;
-                    }
-                    m_cpt_ixr_fsm_trt_lock++;
+                    }
                     break;
                 }
@@ -5471,5 +5267,5 @@
                     {
                         size_t index = (i+old+1) %lines;
-                        if(r_ixr_rsp_to_xram_rsp_rok[index])
+                        if (r_ixr_rsp_to_xram_rsp_rok[index])
                         {
                             r_xram_rsp_trt_index             = index;
@@ -5478,5 +5274,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " XRAM_RSP_IDLE>"
                                     << " Available cache line in TRT:"
@@ -5492,5 +5288,5 @@
                 // Copy the TRT entry in a local buffer
                 {
-                    if((r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP) and
+                    if ((r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP) and
                             (r_alloc_trt_fsm.read() == ALLOC_TRT_XRAM_RSP))
                     {
@@ -5501,13 +5297,9 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_DIR_LOCK>"
                                 << " Get access to DIR and TRT" << std::endl;
 #endif
-                        m_cpt_xram_rsp_fsm_n_dir_lock++;
-                        m_cpt_xram_rsp_fsm_n_trt_lock++;
-                    }
-                    m_cpt_xram_rsp_fsm_dir_lock++;
-                    m_cpt_xram_rsp_fsm_trt_lock++;
+                    }
                     break;
                 }
@@ -5528,8 +5320,8 @@
                     DirectoryEntry victim(m_cache_directory.select(set, way));
 
-                    if( way == -1) 
+                    if (way == -1) 
                     {
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_TRT_COPY>"
                             << " not a disponible victim"
@@ -5559,9 +5351,9 @@
                     assert( victim.state != ENTRY_LOCKED && "XRAM RSP SELECTED A LOCKED VICTIM ");
 
-                    if( not r_xram_rsp_trt_buf.rerror ) r_xram_rsp_fsm = XRAM_RSP_IVT_LOCK;
+                    if (not r_xram_rsp_trt_buf.rerror ) r_xram_rsp_fsm = XRAM_RSP_IVT_LOCK;
                     else                                r_xram_rsp_fsm = XRAM_RSP_ERROR_ERASE;
                     
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_TRT_COPY>"
                             << " Select a victim slot: "
@@ -5585,13 +5377,13 @@
                             "MEMC ERROR in XRAM_RSP_IVT_LOCK state: Bad TRT allocation");
 
-                    if(r_alloc_ivt_fsm == ALLOC_IVT_XRAM_RSP)
+                    if (r_alloc_ivt_fsm == ALLOC_IVT_XRAM_RSP)
                     {
                         size_t index = 0;
-                        if(m_ivt.search_inval(r_xram_rsp_trt_buf.nline, index))  // pending inval
+                        if (m_ivt.search_inval(r_xram_rsp_trt_buf.nline, index))  // pending inval
                         {
                             r_xram_rsp_fsm = XRAM_RSP_INVAL_WAIT;
 
 #if DEBUG_MEMC_XRAM_RSP
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " XRAM_RSP_IVT_LOCK>"
                                     << " Get acces to IVT, but line invalidation registered"
@@ -5601,10 +5393,10 @@
 
                         }
-                        else if(m_ivt.is_full() and r_xram_rsp_victim_inval.read()) // IVT full
+                        else if (m_ivt.is_full() and r_xram_rsp_victim_inval.read()) // IVT full
                         {
                             r_xram_rsp_fsm = XRAM_RSP_INVAL_WAIT;
 
 #if DEBUG_MEMC_XRAM_RSP
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " XRAM_RSP_IVT_LOCK>"
                                     << " Get acces to IVT, but inval required and IVT full" << std::endl;
@@ -5616,5 +5408,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " XRAM_RSP_IVT_LOCK>"
                                     << " Get acces to IVT / no pending inval request" << std::endl;
@@ -5629,5 +5421,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_INVAL_WAIT>"
                             << " Release all locks and retry" << std::endl;
@@ -5680,5 +5472,5 @@
                     DirectoryEntry entry;
 
-                    if(inst_read and (r_xram_rsp_trt_buf.proc_read))
+                    if (inst_read and (r_xram_rsp_trt_buf.proc_read))
                     {
                         entry.state = ENTRY_SHARED;
@@ -5694,5 +5486,5 @@
                     entry.tag     = r_xram_rsp_trt_buf.nline / m_sets;
                     entry.ptr     = 0;
-                    if(cached_read and r_xram_rsp_trt_buf.proc_read)
+                    if (cached_read and r_xram_rsp_trt_buf.proc_read)
                     {
                         entry.owner.srcid   = r_xram_rsp_trt_buf.srcid;
@@ -5710,5 +5502,5 @@
                     r_xram_rsp_coherent = inst_read; 
                     // request an invalidattion request in IVT for victim line
-                    if(r_xram_rsp_victim_inval.read())
+                    if (r_xram_rsp_victim_inval.read())
                     {
                         bool   broadcast    = r_xram_rsp_victim_is_cnt.read();
@@ -5743,5 +5535,5 @@
                    // }
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_DIR_UPDT>"
@@ -5754,5 +5546,5 @@
                             << " / nline = " << r_xram_rsp_trt_buf.nline
                             << " / is_cnt = " << entry.is_cnt << std::endl;
-                        if(r_xram_rsp_victim_inval.read())
+                        if (r_xram_rsp_victim_inval.read())
                             std::cout << "                           Invalidation request for victim line "
                                 << std::hex << r_xram_rsp_victim_nline.read()
@@ -5763,12 +5555,12 @@
                     // If the victim is not dirty (RWT: if it is not coherent, we can not know wether it is dirty or not), we don't need another XRAM  put transaction,
                     // and we can erase the TRT entry
-                    if( (not r_xram_rsp_victim_dirty.read()) or (r_xram_rsp_victim_state.read() == ENTRY_INVALID))  
+                    if ((not r_xram_rsp_victim_dirty.read()) or (r_xram_rsp_victim_state.read() == ENTRY_INVALID))  
                     {
                         m_trt.erase(r_xram_rsp_trt_index.read());
                     }
                     // Next state
-                    if(r_xram_rsp_victim_dirty.read())       r_xram_rsp_fsm = XRAM_RSP_TRT_DIRTY;
-                    else if(r_xram_rsp_trt_buf.proc_read)    r_xram_rsp_fsm = XRAM_RSP_DIR_RSP;
-                    else if(r_xram_rsp_victim_inval.read())  r_xram_rsp_fsm = XRAM_RSP_INVAL;
+                    if (r_xram_rsp_victim_dirty.read())       r_xram_rsp_fsm = XRAM_RSP_TRT_DIRTY;
+                    else if (r_xram_rsp_trt_buf.proc_read)    r_xram_rsp_fsm = XRAM_RSP_DIR_RSP;
+                    else if (r_xram_rsp_victim_inval.read())  r_xram_rsp_fsm = XRAM_RSP_INVAL;
                     else                                     r_xram_rsp_fsm = XRAM_RSP_IDLE;
                     break;
@@ -5777,5 +5569,5 @@
             case XRAM_RSP_TRT_DIRTY:  // set the TRT entry (write to XRAM) if the victim is dirty or not coherent (RWT)
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_XRAM_RSP)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_XRAM_RSP)
                     {
                         std::vector<data_t> data_vector;
@@ -5798,5 +5590,5 @@
                                    data_vector);
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_TRT_DIRTY>"
                                 << " Set TRT entry for the put transaction"
@@ -5804,14 +5596,10 @@
 #endif
 
-                        //        if( not r_xram_rsp_victim_coherent )
+                        //        if (not r_xram_rsp_victim_coherent )
                         //            std::cout << "a victim coherent not sent trt index =" << r_xram_rsp_trt_index.read() << std::endl;
-                        if(r_xram_rsp_trt_buf.proc_read)         r_xram_rsp_fsm = XRAM_RSP_DIR_RSP;
-                        else if(r_xram_rsp_victim_inval.read())  r_xram_rsp_fsm = XRAM_RSP_INVAL;
+                        if (r_xram_rsp_trt_buf.proc_read)         r_xram_rsp_fsm = XRAM_RSP_DIR_RSP;
+                        else if (r_xram_rsp_victim_inval.read())  r_xram_rsp_fsm = XRAM_RSP_INVAL;
                         else                                     r_xram_rsp_fsm = XRAM_RSP_WRITE_DIRTY;
-                        m_cpt_xram_rsp_fsm_n_trt_lock++;
-                    }
-
-                    m_cpt_xram_rsp_fsm_trt_lock++;
-
+                    }
                     break;
                 }
@@ -5819,5 +5607,5 @@
             case XRAM_RSP_DIR_RSP:     // Request a response to TGT_RSP FSM
                 {
-                    if( not r_xram_rsp_to_tgt_rsp_req.read())
+                    if (not r_xram_rsp_to_tgt_rsp_req.read())
                     {
                         r_xram_rsp_to_tgt_rsp_srcid = r_xram_rsp_trt_buf.srcid;
@@ -5842,10 +5630,10 @@
 
 
-                        if(r_xram_rsp_victim_inval)      r_xram_rsp_fsm = XRAM_RSP_INVAL;
-                        else if(r_xram_rsp_victim_dirty) r_xram_rsp_fsm = XRAM_RSP_WRITE_DIRTY;
+                        if (r_xram_rsp_victim_inval)      r_xram_rsp_fsm = XRAM_RSP_INVAL;
+                        else if (r_xram_rsp_victim_dirty) r_xram_rsp_fsm = XRAM_RSP_WRITE_DIRTY;
                         else                             r_xram_rsp_fsm = XRAM_RSP_IDLE;
 
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_DIR_RSP>"
                                 << " Request the TGT_RSP FSM to return data:"
@@ -5861,5 +5649,5 @@
             case XRAM_RSP_INVAL:  // send invalidate request to CC_SEND FSM
                 {
-                    if(!r_xram_rsp_to_cc_send_multi_req.read() and
+                    if (!r_xram_rsp_to_cc_send_multi_req.read() and
                             !r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
